Index: c/src/tests/mptests/mp01/system.h
===================================================================
--- c/src/tests/mptests/mp01/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp01/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:00:40 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
@@ -26,5 +25,5 @@
 /* structures */
 
-#include "gvar.h"
+#include <gvar.h>
 
 /* end of include file */
Index: c/src/tests/mptests/mp02/system.h
===================================================================
--- c/src/tests/mptests/mp02/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp02/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:01:00 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp03/system.h
===================================================================
--- c/src/tests/mptests/mp03/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp03/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:01:22 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp04/system.h
===================================================================
--- c/src/tests/mptests/mp04/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp04/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:01:40 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp05/system.h
===================================================================
--- c/src/tests/mptests/mp05/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp05/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:00 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp06/system.h
===================================================================
--- c/src/tests/mptests/mp06/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp06/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:18 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 
Index: c/src/tests/mptests/mp07/system.h
===================================================================
--- c/src/tests/mptests/mp07/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp07/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:38 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 #define EXTERN  extern             /* external definition */
Index: c/src/tests/mptests/mp08/system.h
===================================================================
--- c/src/tests/mptests/mp08/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp08/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:02:55 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp09/init.c
===================================================================
--- c/src/tests/mptests/mp09/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:03:11 joel Exp
  */
 
@@ -50,5 +50,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &Queue_id[ 1 ]
     );
Index: c/src/tests/mptests/mp09/node1/mp09.scn
===================================================================
--- c/src/tests/mptests/mp09/node1/mp09.scn	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/node1/mp09.scn	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,4 +11,5 @@
 Receiving message ...
 Received : ABCDEFGHIJKLMNO
+Receiver delaying for a second
 rtems_message_queue_send: 123456789012345
 Delaying for a second
Index: c/src/tests/mptests/mp09/node2/mp09.scn
===================================================================
--- c/src/tests/mptests/mp09/node2/mp09.scn	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/node2/mp09.scn	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,11 +17,11 @@
 Receiving message ...
 Received : ABCDEFGHIJKLMNO
+Receiver delaying for a second
 Flushing remote empty queue
-00 messages were flushed on the remote queue
+0 messages were flushed on the remote queue
 Send messages to be flushed from remote queue
 Flushing remote queue
-01 messages were flushed on the remote queue
+1 messages were flushed on the remote queue
 Waiting for message queue to be deleted
-
 Global message queue deleted
 *** END OF TEST 9 ***
Index: c/src/tests/mptests/mp09/recvmsg.c
===================================================================
--- c/src/tests/mptests/mp09/recvmsg.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/recvmsg.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  recvmsg.c,v 1.2 1995/05/31 17:03:14 joel Exp
  */
 
@@ -25,4 +25,5 @@
  rtems_status_code status;
  rtems_unsigned32  index;
+ rtems_unsigned32  size;
  char              receive_buffer[16];
 
@@ -32,4 +33,5 @@
      Queue_id[ 1 ],
      (long (*)[4])receive_buffer,
+     &size,
      RTEMS_DEFAULT_OPTIONS,
      RTEMS_NO_TIMEOUT
Index: c/src/tests/mptests/mp09/sendmsg.c
===================================================================
--- c/src/tests/mptests/mp09/sendmsg.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/sendmsg.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -16,5 +16,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  sendmsg.c,v 1.2 1995/05/31 17:03:16 joel Exp
  */
 
@@ -29,5 +29,5 @@
   puts( buffer1 );
 
-  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1 );
+  status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1, 16 );
   directive_failed( status, "rtems_message_queue_send" );
 
@@ -38,5 +38,5 @@
   puts_nocr( "rtems_message_queue_urgent: " );
   puts( buffer2 );
-  status = rtems_message_queue_urgent( Queue_id[ 1 ], (long (*)[4])buffer2 );
+  status = rtems_message_queue_urgent( Queue_id[ 1 ], (long (*)[4])buffer2, 16 );
   directive_failed( status, "rtems_message_queue_urgent" );
 
@@ -50,4 +50,5 @@
     Queue_id[ 1 ],
     (long (*)[4])buffer3,
+    16,
     &broadcast_count
   );
Index: c/src/tests/mptests/mp09/system.h
===================================================================
--- c/src/tests/mptests/mp09/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:03:17 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp09/task1.c
===================================================================
--- c/src/tests/mptests/mp09/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp09/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:03:19 joel Exp
  */
 
@@ -33,4 +33,5 @@
   rtems_status_code status;
   rtems_unsigned32  count;
+  rtems_unsigned32  size;
   char              receive_buffer[16];
 
@@ -65,8 +66,8 @@
     status = rtems_message_queue_flush( Queue_id[ 1 ], &count );
     directive_failed( status, "rtems_message_queue_flush" );
-    printf( "%02d messages were flushed on the remote queue\n", count );
+    printf( "%d messages were flushed on the remote queue\n", count );
 
     puts( "Send messages to be flushed from remote queue" );
-    status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1 );
+    status = rtems_message_queue_send( Queue_id[ 1 ], (long (*)[4])buffer1, 16 );
     directive_failed( status, "rtems_message_queue_send" );
 
@@ -74,5 +75,5 @@
     status = rtems_message_queue_flush( Queue_id[ 1 ], &count );
     directive_failed( status, "rtems_message_queue_flush" );
-    printf( "%02d messages were flushed on the remote queue\n", count );
+    printf( "%d messages were flushed on the remote queue\n", count );
 
     puts( "Waiting for message queue to be deleted" );
@@ -80,4 +81,5 @@
       Queue_id[ 1 ],
       (long (*)[4])receive_buffer,
+      &size,
       RTEMS_DEFAULT_OPTIONS,
       RTEMS_NO_TIMEOUT
Index: c/src/tests/mptests/mp10/init.c
===================================================================
--- c/src/tests/mptests/mp10/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp10/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -26,5 +26,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:03:33 joel Exp
  */
 
@@ -59,5 +59,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &Queue_id[ 1 ]
     );
Index: c/src/tests/mptests/mp10/system.h
===================================================================
--- c/src/tests/mptests/mp10/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp10/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:03:35 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp10/task1.c
===================================================================
--- c/src/tests/mptests/mp10/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp10/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,5 +17,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:03:37 joel Exp
  */
 
@@ -27,4 +27,5 @@
 {
   char              receive_buffer[16];
+  rtems_unsigned32  size;
   rtems_status_code status;
 
@@ -43,4 +44,5 @@
     Queue_id[ 1 ],
     (long (*)[4])receive_buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
Index: c/src/tests/mptests/mp11/init.c
===================================================================
--- c/src/tests/mptests/mp11/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp11/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -23,5 +23,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:03:55 joel Exp
  */
 
@@ -70,5 +70,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &junk_id
     );
Index: c/src/tests/mptests/mp11/system.h
===================================================================
--- c/src/tests/mptests/mp11/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp11/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:03:57 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp12/system.h
===================================================================
--- c/src/tests/mptests/mp12/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp12/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:04:13 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp13/init.c
===================================================================
--- c/src/tests/mptests/mp13/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp13/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:04:29 joel Exp
  */
 
@@ -52,5 +52,6 @@
       Queue_name[ 1 ],
       3,
-      RTEMS_GLOBAL|RTEMS_LIMIT,
+      16,
+      RTEMS_GLOBAL,
       &Queue_id[ 1 ]
     );
Index: c/src/tests/mptests/mp13/system.h
===================================================================
--- c/src/tests/mptests/mp13/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp13/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:04:31 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/mptests/mp13/task1.c
===================================================================
--- c/src/tests/mptests/mp13/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp13/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -18,5 +18,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:04:33 joel Exp
  */
 
@@ -28,4 +28,5 @@
 {
   char              receive_buffer[16];
+  rtems_unsigned32  size;
   rtems_status_code status;
 
@@ -45,4 +46,5 @@
       Queue_id[ 1 ],
       (long (*)[4])receive_buffer,
+      &size,
       RTEMS_DEFAULT_OPTIONS,
       RTEMS_NO_TIMEOUT
@@ -59,4 +61,5 @@
     Queue_id[ 1 ],
     (long (*)[4])receive_buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     2 * TICKS_PER_SECOND
Index: c/src/tests/mptests/mp14/init.c
===================================================================
--- c/src/tests/mptests/mp14/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp14/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -20,5 +20,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:04:55 joel Exp
  */
 
@@ -103,4 +103,5 @@
       Queue_name[ 1 ],
       1,
+      16,
       RTEMS_GLOBAL,
       &Queue_id[ 1 ]
Index: c/src/tests/mptests/mp14/msgtask1.c
===================================================================
--- c/src/tests/mptests/mp14/msgtask1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp14/msgtask1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -19,5 +19,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  msgtask1.c,v 1.2 1995/05/31 17:04:58 joel Exp
  */
 
@@ -33,4 +33,5 @@
   rtems_unsigned32  *buffer_count;
   rtems_unsigned32  *overflow_count;
+  rtems_unsigned32   size;
 
   Msg_buffer[ index ][0] = 0;
@@ -54,5 +55,6 @@
       status = rtems_message_queue_send(
         Queue_id[ 1 ],
-        (long (*)[4])Msg_buffer[ index ]
+        (long (*)[4])Msg_buffer[ index ],
+        16
       );
       directive_failed( status, "rtems_message_queue_send" );
@@ -71,4 +73,5 @@
         Queue_id[ 1 ],
         (long (*)[4])Msg_buffer[ index ],
+        &size,
         RTEMS_DEFAULT_OPTIONS,
         RTEMS_NO_TIMEOUT
@@ -84,5 +87,6 @@
       status = rtems_message_queue_send(
         Queue_id[ 1 ],
-        (long (*)[4])Msg_buffer[ index ]
+        (long (*)[4])Msg_buffer[ index ],
+        16
       );
       directive_failed( status, "rtems_message_queue_send" );
Index: c/src/tests/mptests/mp14/system.h
===================================================================
--- c/src/tests/mptests/mp14/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/mptests/mp14/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,10 +12,9 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:05:03 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
-#include "mpci.h"
+#include <tmacros.h>
+#include <mpci.h>
 
 /* Miscellaneous */
Index: c/src/tests/samples/base_mp/apptask.c
===================================================================
--- c/src/tests/samples/base_mp/apptask.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/base_mp/apptask.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -18,9 +18,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  apptask.c,v 1.2 1995/05/31 17:05:14 joel Exp
  */
 
 #include "system.h"
-#include "libcsupport.h"
 
 rtems_task Application_task(
Index: c/src/tests/samples/base_mp/system.h
===================================================================
--- c/src/tests/samples/base_mp/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/base_mp/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,10 +12,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:05:21 joel Exp
  */
 
 #include <rtems.h>
-#include "stdio.h"
-#include "libcsupport.h"
+#include <bsp.h>
+#include <stdio.h>
+#include <libcsupport.h>
 
 /* Miscellaneous */
Index: c/src/tests/samples/base_sp/apptask.c
===================================================================
--- c/src/tests/samples/base_sp/apptask.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/base_sp/apptask.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,9 +17,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  apptask.c,v 1.2 1995/05/31 17:05:28 joel Exp
  */
 
 #include "system.h"
-#include "libcsupport.h"
 
 rtems_task Application_task(
Index: c/src/tests/samples/base_sp/system.h
===================================================================
--- c/src/tests/samples/base_sp/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/base_sp/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,10 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:05:38 joel Exp
  */
 
 #include <rtems.h>
-#include "stdio.h"
+#include <bsp.h>
+#include <stdio.h>
 
 /* Miscellaneous */
Index: c/src/tests/samples/cdtest/init.c
===================================================================
--- c/src/tests/samples/cdtest/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/cdtest/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -19,5 +19,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:05:45 joel Exp
  */
 
@@ -28,3 +28,2 @@
 #include "gvar.h"
 #include <stdio.h>
-#include "libcsupport.h"
Index: c/src/tests/samples/cdtest/system.h
===================================================================
--- c/src/tests/samples/cdtest/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/cdtest/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,10 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:05:49 joel Exp
  */
 
 #include <rtems.h>
-#include "stdio.h"
+#include <bsp.h>
+#include <stdio.h>
 
 /* Miscellaneous */
Index: c/src/tests/samples/hello/init.c
===================================================================
--- c/src/tests/samples/hello/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/hello/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -19,5 +19,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:05:58 joel Exp
  */
 
@@ -28,6 +28,4 @@
 #include "gvar.h"
 #include <stdio.h>
-#include "libcsupport.h"
-
 
 rtems_task Init(
Index: c/src/tests/samples/hello/system.h
===================================================================
--- c/src/tests/samples/hello/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/hello/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:06:00 joel Exp
  */
 
 #include <rtems.h>
-#include "stdio.h"
+#include <bsp.h>
+
+#include <stdio.h>
 
 /* Miscellaneous */
Index: c/src/tests/samples/paranoia/init.c
===================================================================
--- c/src/tests/samples/paranoia/init.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/paranoia/init.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -19,5 +19,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  init.c,v 1.2 1995/05/31 17:06:07 joel Exp
  */
 
@@ -27,5 +27,4 @@
 #include "conftbl.h"
 #include "gvar.h"
-#include "libcsupport.h"
 
 extern int paranoia(int, char **);
Index: c/src/tests/samples/paranoia/paranoia.c
===================================================================
--- c/src/tests/samples/paranoia/paranoia.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/paranoia/paranoia.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -1,4 +1,4 @@
 /*
- *  RTEMS RCS Id: $Id$
+ *  RTEMS RCS Id: paranoia.c,v 1.2 1995/05/31 17:06:09 joel Exp
  *
  *      A C version of Kahan's Floating Point Test "Paranoia"
@@ -162,5 +162,5 @@
 
 #ifdef NEED_REENT
-#include "reent.h"
+#include <reent.h>
 struct _reent libm_reent = _REENT_INIT(libm_reent);
 struct _reent *_impure_ptr = &libm_reent;
Index: c/src/tests/samples/paranoia/system.h
===================================================================
--- c/src/tests/samples/paranoia/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/paranoia/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,10 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:06:13 joel Exp
  */
 
 #include <rtems.h>
-#include "stdio.h"
+#include <bsp.h>
+#include <stdio.h>
 
 /* Miscellaneous */
Index: c/src/tests/samples/ticker/system.h
===================================================================
--- c/src/tests/samples/ticker/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/samples/ticker/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:06:23 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp01/system.h
===================================================================
--- c/src/tests/sptests/sp01/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp01/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:06:37 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp02/system.h
===================================================================
--- c/src/tests/sptests/sp02/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp02/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:06:54 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp03/system.h
===================================================================
--- c/src/tests/sptests/sp03/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp03/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:07:10 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp04/system.h
===================================================================
--- c/src/tests/sptests/sp04/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp04/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:07:24 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp04/task1.c
===================================================================
--- c/src/tests/sptests/sp04/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp04/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -17,9 +17,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:07:26 joel Exp
  */
 
 #include "system.h"
-#include "clockdrv.h"
 
 rtems_task Task_1(
Index: c/src/tests/sptests/sp05/system.h
===================================================================
--- c/src/tests/sptests/sp05/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp05/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:07:40 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp06/system.h
===================================================================
--- c/src/tests/sptests/sp06/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp06/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:07:56 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp07/system.h
===================================================================
--- c/src/tests/sptests/sp07/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp07/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:08:12 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* constants */
Index: c/src/tests/sptests/sp08/system.h
===================================================================
--- c/src/tests/sptests/sp08/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp08/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,9 +12,8 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:08:40 joel Exp
  */
 
-#include <rtems.h>
-#include "tmacros.h"
+#include <tmacros.h>
 
 /* Miscellaneous */
Index: c/src/tests/sptests/sp09/screen05.c
===================================================================
--- c/src/tests/sptests/sp09/screen05.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/sptests/sp09/screen05.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -15,5 +15,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  screen05.c,v 1.2 1995/05/31 17:08:59 joel Exp
  */
 
@@ -50,10 +50,12 @@
   puts( "TA1 - rtems_semaphore_create - 2 - RTEMS_SUCCESSFUL" );
 
-  status = rtems_semaphore_create(
-     Semaphore_name[ 3 ],
-     1,
-     RTEMS_DEFAULT_ATTRIBUTES,
-     &Junk_id
-  );
+  do {
+      status = rtems_semaphore_create(
+          Semaphore_name[ 3 ],
+          1,
+          RTEMS_DEFAULT_ATTRIBUTES,
+          &Junk_id);
+  } while (status == RTEMS_SUCCESSFUL);
+
   fatal_directive_status(
     status,
